Bug 1506523 (CVE-2017-12613) - CVE-2017-12613 apr: Out-of-bounds array deref in apr_time_exp*() functions
Summary: CVE-2017-12613 apr: Out-of-bounds array deref in apr_time_exp*() functions
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2017-12613
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1506524 1507022 1507023 1507345 1507346 1507348 1507349 1540983 1540984 1567116 1567117 1567118 1567119 1567120 1567281
Blocks: 1506539 1524240
TreeView+ depends on / blocked
 
Reported: 2017-10-26 09:34 UTC by Andrej Nemec
Modified: 2019-09-29 14:24 UTC (History)
39 users (show)

Fixed In Version: apr 1.6.3
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds array dereference was found in apr_time_exp_get(). An attacker could abuse an unvalidated usage of this function to cause a denial of service or potentially lead to data leak.
Clone Of:
Environment:
Last Closed: 2019-06-08 03:29:56 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3270 normal SHIPPED_LIVE Important: apr security update 2017-11-29 03:42:31 UTC
Red Hat Product Errata RHSA-2017:3475 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-16 03:23:06 UTC
Red Hat Product Errata RHSA-2017:3476 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-16 03:34:21 UTC
Red Hat Product Errata RHSA-2017:3477 normal SHIPPED_LIVE Important: Red Hat JBoss Core Services Apache HTTP Server 2.4.23 security update 2017-12-16 03:34:40 UTC
Red Hat Product Errata RHSA-2018:0316 normal SHIPPED_LIVE Important: httpd24-apr security update 2018-02-13 22:19:19 UTC
Red Hat Product Errata RHSA-2018:0465 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 3.1.0 Service Pack 2 security update 2018-03-07 20:09:54 UTC
Red Hat Product Errata RHSA-2018:0466 normal SHIPPED_LIVE Important: Red Hat JBoss Web Server 3.1.0 Service Pack 2 security update 2018-03-07 20:21:52 UTC
Red Hat Product Errata RHSA-2018:1253 None None None 2018-04-26 20:56:27 UTC

Description Andrej Nemec 2017-10-26 09:34:45 UTC
When apr_exp_time*() or apr_os_exp_time*() functions are invoked with an invalid month field value in Apache Portable Runtime APR 1.6.2 and prior, out of bounds memory may be accessed in converting this value to an apr_time_exp_t value, potentially revealing the contents of a different static heap value or resulting in program termination, and may represent an information disclosure or denial of service vulnerability to applications which call these APR functions with unvalidated external input.

External References:

http://www.apache.org/dist/apr/Announcement1.x.html

Comment 1 Andrej Nemec 2017-10-26 09:35:19 UTC
Created apr tracking bugs for this issue:

Affects: fedora-all [bug 1506524]

Comment 7 Luboš Uhliarik ✈ 2017-10-30 12:15:10 UTC
Upstream fix: https://svn.apache.org/viewvc?view=revision&revision=1807975

Comment 11 errata-xmlrpc 2017-11-28 22:42:54 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:3270 https://access.redhat.com/errata/RHSA-2017:3270

Comment 12 errata-xmlrpc 2017-12-15 22:24:49 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2017:3475 https://access.redhat.com/errata/RHSA-2017:3475

Comment 13 errata-xmlrpc 2017-12-15 22:36:19 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:3476 https://access.redhat.com/errata/RHSA-2017:3476

Comment 14 errata-xmlrpc 2017-12-15 22:38:26 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:3477 https://access.redhat.com/errata/RHSA-2017:3477

Comment 17 errata-xmlrpc 2018-02-13 17:18:39 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS

Via RHSA-2018:0316 https://access.redhat.com/errata/RHSA-2018:0316

Comment 18 errata-xmlrpc 2018-03-07 15:11:04 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2018:0465 https://access.redhat.com/errata/RHSA-2018:0465

Comment 19 errata-xmlrpc 2018-03-07 15:24:44 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Web Server 3 for RHEL 6
  Red Hat JBoss Web Server 3 for RHEL 7

Via RHSA-2018:0466 https://access.redhat.com/errata/RHSA-2018:0466

Comment 22 errata-xmlrpc 2018-04-26 20:56:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 Advanced Update Support
  Red Hat Enterprise Linux 6.5 Advanced Update Support
  Red Hat Enterprise Linux 6.6 Advanced Update Support
  Red Hat Enterprise Linux 6.6 Telco Extended Update Support
  Red Hat Enterprise Linux 6.7 Extended Update Support
  Red Hat Enterprise Linux 7.2 Advanced Update Support
  Red Hat Enterprise Linux 7.2 Update Services for SAP Solutions
  Red Hat Enterprise Linux 7.2 Telco Extended Update Support
  Red Hat Enterprise Linux 7.3 Extended Update Support

Via RHSA-2018:1253 https://access.redhat.com/errata/RHSA-2018:1253


Note You need to log in before you can comment on or make changes to this bug.